Subject: Re: bug#18357: 24.3.93; Calendar not fully displayed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2014 16:27:28 +0300

> Date: Sat, 30 Aug 2014 14:48:55 +0200
> From: martin rudalics <[email-masked]>
> 
> 
> > I don't think so.  For example here on Windows XP, emacs -Q with current
> > trunk, evaluating
> >
> > (progn
> >    (custom-set-faces
> >     '(mode-line ((t (:background "#000040" :foreground "wheat" :box (:line-width 2 :color "#000040") :weight bold :family "Verdana"))))
> >     '(mode-line-inactive ((t (:inherit mode-line :background "grey48" :foreground "wheat" :box (:line-width 2 :color "#000040"))))))
> >    (setq calendar-week-start-day 1)
> >    (calendar))
> >
> > gives screenshot calendar-1.png while evaluating
> >
> > (progn
> >    (custom-set-faces
> >     '(mode-line ((t (:background "#000040" :foreground "wheat" :box (:line-width 2 :color "#000040") :weight bold :family "Verdana"))))
> >     '(mode-line-inactive ((t (:inherit mode-line :background "grey48" :foreground "wheat" :box (:line-width 2 :color "#000040"))))))
> >    (setq calendar-week-start-day 1)
> >    (sit-for 0)
> >    (calendar))
> >
> > gives the expected screenshot calendar-2.png.
> 
> Sorry.  The screenshots were from an earlier experiment.  The current ones
> should fit the description above.

I see no differences between the 2 progn forms you evaluated, so I
cannot really judge whether they correspond to what Stephen reported.